List the buy-side webhook endpoints
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/buy/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/buy/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/buy/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"url": "<string>",
"event_types": [
"<string>"
],
"api_version": "<string>",
"status": "pending_verification",
"paused_reason": "<string>",
"secret_hint": "<string>",
"created_by": {
"name": "<string>",
"email": "<string>"
},
"client_id": "<string>",
"last_delivery": {
"event_id": "<string>",
"status": "pending",
"attempt": 0,
"response_code": 0,
"at": "2023-11-07T05:31:56Z"
},
"failing_since": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_parameter",
"title": "Parameter unusable",
"status": 400,
"code": "invalid_parameter",
"detail": "<string>",
"recovery": "Correct the query parameter the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Reference: buy
List the buy-side webhook endpoints
Reads each webhook endpoint of your buyer account with its event types, its status, the application that created it, and the last delivery attempt.
GET
/
buy
/
webhooks
List the buy-side webhook endpoints
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/buy/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/buy/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/buy/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"url": "<string>",
"event_types": [
"<string>"
],
"api_version": "<string>",
"status": "pending_verification",
"paused_reason": "<string>",
"secret_hint": "<string>",
"created_by": {
"name": "<string>",
"email": "<string>"
},
"client_id": "<string>",
"last_delivery": {
"event_id": "<string>",
"status": "pending",
"attempt": 0,
"response_code": 0,
"at": "2023-11-07T05:31:56Z"
},
"failing_since": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_parameter",
"title": "Parameter unusable",
"status": 400,
"code": "invalid_parameter",
"detail": "<string>",
"recovery": "Correct the query parameter the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Authorizations
Authorization code with PKCE. The person grants the scopes on the Investorlift consent page and accepts the Marketplace API Terms there.
Query Parameters
How many rows one page holds. 25 by default.
Required range:
1 <= x <= 100The next_cursor of the page before this one.
Was this page helpful?